Event Search

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Example Request Body

Search All Events for a Tenant

{  
    "fromTimestamp": 1749643130000,  
    "toTimestamp": 1749729530000,  
    "size": 50,  
    "page": 0,  
}

Search All High-Magnitude Events

{
    "fromTimestamp": 1749643130000,
    "toTimestamp": 1749729530000,
    "highMagnitude":true,
    "size": 50,
    "page": 0,  
} 

Search All High-Magnitude Events for a Camera

{
    "fromTimestamp": 1749643130000,
    "toTimestamp": 1749729530000,
    "highMagnitude":true,
    "endpointIdList": [
        127497
    ],
    "size": 50,
    "page": 0,  
} 

Search All High-Magnitude Tailgating Events

{
    "fromTimestamp": 1749643130000,
    "toTimestamp": 1749729530000,
    "highMagnitude":true,
    "attributeFilters": [{"triggerName":"Tailgating"}],
    "size": 50,
    "page": 0,  
} 

Search All High-Magnitude Tailgating Events where the minimum TTC was below 0.5s and sort by Magnitude in descending order

{
    "fromTimestamp": 1749643130000,
    "toTimestamp": 1749729530000,
    "size": 50,
    "page": 0,
    "highMagnitude": false,
    "endpointIdList": [
        127497
    ],
    "attributeFilters": [
        {
            "triggerName": "Tailgating",
            "label": "following_distance_seconds",
            "aggregator": "min",
            "lessThanEqual": 0.5
        }
    ],
    "sort": "BY_MAGNITUDE_DESC"
}
Body Params
int64
required

Search start timestamp in epoch millis

int64
required

Search end timestamp in epoch millis

boolean

Pass true to retrieve only high magnitude Events

endpointIdList
array of int64s

Filter by Endpoint IDs

endpointIdList
json

Filter by Triggers and Event attributes

string
enum
Defaults to BY_TIMESTAMP_DESC

Sorting criteria

Allowed:
int32
required
Defaults to 0

Page number

int32
required
Defaults to 50

Size of the result set in the page

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json